InternalRewriteMap.Escape (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.valves.rewrite

## Class InternalRewriteMap.Escape

- java.lang.Object
- - org.apache.catalina.valves.rewrite.InternalRewriteMap.Escape

- All Implemented Interfaces:
    RewriteMap
  Enclosing class:
    InternalRewriteMap

      public static class InternalRewriteMap.Escape
      extends Object
      implements RewriteMap

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Escape()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `lookup(String key)` Maps a key to a replacement value.
    `String` | `setParameters(String params)` Optional parameter that can be defined through the `RewriteMap` directive in the `rewrite.config` file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.valves.rewrite.RewriteMap

      `setParameters`

- - ### Constructor Detail

    - #### Escape

          public Escape()

  - ### Method Detail

    - #### setParameters

          public String setParameters(String params)

      Description copied from interface: `RewriteMap`
      Optional parameter that can be defined through the `RewriteMap` directive in the `rewrite.config` file.
      Specified by:
        `setParameters` in interface `RewriteMap`
      Parameters:
        `params` - the optional parameter
      Returns:
        value is currently ignored

    - #### lookup

          public String lookup(String key)

      Description copied from interface: `RewriteMap`
      Maps a key to a replacement value.
      The method is free to return `null` to indicate, that the default value from the `RewriteRule` directive should be used.
      Specified by:
        `lookup` in interface `RewriteMap`
      Parameters:
        `key` - used by the actual implementation to generate a mapped value
      Returns:
        mapped value or `null`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.